Developers
API ReferenceChat Topic

Retrieves the collection of ChatFile resources

GET
/chat/chat-topics/{id}/chat-files

Retrieves the collection of ChatFile resources

Authorization

apiKey
headerAuthorization<token>

Value for the Authorization header parameter.

Path Parameters

id*string

ChatTopic identifier

Query Parameters

page?integer

The collection page number

Default1
itemsPerPage?integer

The number of items per page

Range0 <= value <= 100
Default30
excludeExtension[]?array<string>
images?boolean
externalSources?boolean
excludeSource[]?array<string>
displayedName?string
extension?string
extension[]?array<string>
source?string
source[]?array<string>
order[createdAt]?string
Default"asc"
Value in"asc""desc"
order[displayedName]?string
Default"asc"
Value in"asc""desc"
order[size]?string
Default"asc"
Value in"asc""desc"

Response Body

ChatFile collection

  1. response
[index: integer]?
Example Request
curl -X GET 'https://app.icproject.com/api/instance/demo/chat/chat-topics/string/chat-files'
Example Response200
[  {    "createdBy": {      "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",      "firstName": "string",      "lastName": "string",      "email": "string",      "pictureSm": "string",      "contractorName": "string",      "jobPositionName": "string",      "shortCode": "string",      "isExternal": true    },    "previewImageUrl": "string",    "duration": 0,    "waveformPeaks": [      0    ],    "isCreatedFromSystem": false,    "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",    "displayedName": "string",    "extension": "string",    "size": 0,    "source": "internal",    "createdAt": "2019-08-24T14:15:22Z"  }]